Bug 1278638 - Review Request: freedv - FreeDV Digital Voice
Review Request: freedv - FreeDV Digital Voice
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 23:05 EST by Richard Shaw
Modified: 2016-02-16 20:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 20:57:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Richard Shaw 2015-11-05 23:05:22 EST
Spec URL: http://hobbes1069.fedorapeople.org//freedv.spec
SRPM URL: http://hobbes1069.fedorapeople.org//freedv-1.1-1.fc21.src.rpm

Description:
FreeDV is a GUI application for Windows and Linux that allows any SSB radio to
be used for low bit rate digital voice.

Speech is compressed down to 1400 bit/s then modulated onto a 1100 Hz wide QPSK
signal which is sent to the Mic input of a SSB radio. On receive, the signal is
received by the SSB radio, then demodulated and decoded by FreeDV.

FreeDV was built by an international team of Radio Amateurs working together on
coding, design, user interface and testing. FreeDV is open source software,
released under the GNU Public License version 2.1. The FDMDV modem and Codec 2
Speech codec used in FreeDV are also open source.
Comment 1 Antonio Trande 2015-12-03 15:51:51 EST
%if 0%{?fedora} > 21
BuildRequires:  speexdsp-devel
%else

None new package can be pushed for F21 since it's in EOL. I think this conditional macro can be removed.

- %{!?_licensedir:%global license %doc}

Will be this software packaged for EPEL6?
Comment 2 Richard Shaw 2015-12-03 16:03:34 EST
(In reply to Antonio Trande from comment #1)
> %if 0%{?fedora} > 21
> BuildRequires:  speexdsp-devel
> %else

I'll probably leave it in for one release as someone may want to build themselves.


> - %{!?_licensedir:%global license %doc}
> 
> Will be this software packaged for EPEL6?

For EPEL 7 at least but I like to include that since it's a one liner and may help for other distro's that don't use %license (Suse, etc) that may want to use my SRPM.
Comment 3 Antonio Trande 2015-12-04 08:09:23 EST
Linking fails:

/builddir/build/BUILD/freedv-1.1/src/sox_biquad.c:97: undefined reference to `lsx_biquad_flow'
/builddir/build/BUILD/freedv-1.1/src/sox_biquad.c:97: undefined reference to `lsx_biquad_flow'
collect2: error: ld returned 1 exit status
Comment 4 Richard Shaw 2015-12-04 12:00:30 EST
Darn, I forgot about that. With the sox 14.4.2 release they made a bunch of previously public functions private. The only workaround for now is bundling sox which I don't want to do but it's currently acceptable. I'll update the package and add the Provides for bundled sox.
Comment 5 Richard Shaw 2015-12-04 12:06:55 EST
Spec URL: http://hobbes1069.fedorapeople.org/freedv.spec
SRPM URL: http://hobbes1069.fedorapeople.org/freedv-1.1-2.fc21.src.rpm

* Fri Dec  4 2015 Richard Shaw <hobbes1069@gmail.com> - 1.1-2
- Move to bundled sox to work around now private function in sox 14.4.2.
Comment 6 Richard Shaw 2015-12-04 12:07:58 EST
Spec URL: http://hobbes1069.fedorapeople.org/freedv.spec
SRPM URL: http://hobbes1069.fedorapeople.org/freedv-1.1-2.fc22.src.rpm

Fixed dist tag in the link since I've upgraded Fedora releases since this was posted.
Comment 7 Antonio Trande 2015-12-05 12:28:16 EST
- A temporary bundling of Sox libraries is permitted but you cannot download Sox during build process, i think.

- 'freedv' executable file results Not PIE, Partial RELRO. Some compiler/linker flags are missing.

- Make an appdata file.
Comment 8 Antonio Trande 2015-12-05 12:31:05 EST
> 'freedv' executable file results Not PIE, Partial RELRO. Some compiler/linker flags are missing.

- 'freedv' executable file is 'Not PIE, Partial RELRO'. Some compiler/linker flags are missing.
Comment 9 Richard Shaw 2015-12-08 17:14:40 EST
(In reply to Antonio Trande from comment #7)
> - A temporary bundling of Sox libraries is permitted but you cannot download
> Sox during build process, i think.

You're right, I didn't even think about that. I'm working on a solution but even if I put sox in the right place before configuration or make it still insists on redownloading. I'll have to dig into that one. Since I wrote the build system I don't really have anyone else to ask for help! :)


> - 'freedv' executable file results Not PIE, Partial RELRO. Some
> compiler/linker flags are missing.

Cmake is generally good about honoring build flags specified in environment variables, I'll dig into this one next.
Comment 10 Richard Shaw 2015-12-08 22:40:15 EST
Ok, I've taken care of the sox issue but I'm not exactly sure what to do about PIC/PIE... Since freedv is not a daemon or "long running application" I'm not sure full RELO is required but I would prefer it that way but I don't really understand the build flags well enough to know exactly what I'm doing.
Comment 11 Richard Shaw 2015-12-08 23:00:46 EST
Spec URL: http://hobbes1069.fedorapeople.org/freedv.spec
SRPM URL: http://hobbes1069.fedorapeople.org/freedv-1.1-3.fc22.src.rpm

* Tue Dec  8 2015 Richard Shaw <hobbes1069@gmail.com> - 1.1-3
- Add sox to sources so it is not downloaded during the build.
- Add necessary build flags for RELO and PIE.
Comment 12 Antonio Trande 2015-12-09 12:47:22 EST
(In reply to Richard Shaw from comment #10)
> Ok, I've taken care of the sox issue but I'm not exactly sure what to do
> about PIC/PIE... Since freedv is not a daemon or "long running application"
> I'm not sure full RELO is required but I would prefer it that way but I
> don't really understand the build flags well enough to know exactly what I'm
> doing.

Hardened builds are required for all packages:
https://fedoraproject.org/wiki/Changes/Harden_All_Packages

- Please, leave a comment to additional SourceX and Patches.

- Appdata file?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* LGPL (v2.1)", "*No copyright* GPL (v2.1)", "GPL
     (v2 or later)", "LGPL (v2.1)", "Unknown or generated". 54 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/1278638-freedv/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/256x256/apps,
     /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/128x128,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/48x48/apps, /usr/share/icons/hicolor/64x64,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/256x256,
     /usr/share/icons/hicolor
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in freedv
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://files.freedv.org/freedv/freedv-1.1.tar.xz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in freedv-
     debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/sagitter/1278638-freedv/results/freedv-1.1-3.fc24.x86_64.rpm /home/sagitter/1278638-freedv/results/freedv-debuginfo-1.1-3.fc24.x86_64.rpm /home/sagitter/1278638-freedv/results/freedv-debuginfo-1.1-3.fc24.x86_64.rpm

Rpmlint
-------
Checking: freedv-1.1-3.fc24.x86_64.rpm
          freedv-debuginfo-1.1-3.fc24.x86_64.rpm
          freedv-1.1-3.fc24.src.rpm
freedv.x86_64: W: name-repeated-in-summary C FreeDV
freedv.x86_64: W: spelling-error %description -l en_US codec -> codex, code, codes
freedv.x86_64: W: no-manual-page-for-binary freedv
freedv.src: W: name-repeated-in-summary C FreeDV
freedv.src: W: spelling-error %description -l en_US codec -> codex, code, codes
freedv.src: W: invalid-url Source99: sox-14.4.1.tar.gz
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Requires
--------
freedv-debuginfo (rpmlib, GLIBC filtered):

freedv (rpmlib, GLIBC filtered):
    /bin/sh
    libao.so.4()(64bit)
    libao.so.4(LIBAO4_1.1.0)(64bit)
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libasound.so.2(ALSA_0.9.0rc4)(64bit)
    libc.so.6()(64bit)
    libcodec2.so.0.5()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgsm.so.1()(64bit)
    libhamlib.so.2()(64bit)
    libm.so.6()(64bit)
    libportaudio.so.2()(64bit)
    libpthread.so.0()(64bit)
    libsamplerate.so.0()(64bit)
    libsamplerate.so.0(libsamplerate.so.0.0)(64bit)
    libsamplerate.so.0(libsamplerate.so.0.1)(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    libspeexdsp.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libwx_baseu-3.0.so.0()(64bit)
    libwx_baseu-3.0.so.0(WXU_3.0)(64bit)
    libwx_baseu_net-3.0.so.0()(64bit)
    libwx_baseu_net-3.0.so.0(WXU_3.0)(64bit)
    libwx_gtk3u_aui-3.0.so.0()(64bit)
    libwx_gtk3u_aui-3.0.so.0(WXU_3.0)(64bit)
    libwx_gtk3u_core-3.0.so.0()(64bit)
    libwx_gtk3u_core-3.0.so.0(WXU_3.0)(64bit)
    rtld(GNU_HASH)



Provides
--------
freedv-debuginfo:
    freedv-debuginfo
    freedv-debuginfo(x86-64)

freedv:
    application()
    application(freedv.desktop)
    bundled(sox)
    freedv
    freedv(x86-64)



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1278638
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 13 Richard Shaw 2015-12-09 14:48:30 EST
(In reply to Antonio Trande from comment #12)
> Hardened builds are required for all packages:
> https://fedoraproject.org/wiki/Changes/Harden_All_Packages

It's not required as freedv does not meet any of the requirements in the guidelines:

https://fedoraproject.org/wiki/Packaging:Guidelines#PIE

But it is a good idea nonetheless and already done.

 
> - Please, leave a comment to additional SourceX and Patches.
> 
> - Appdata file?

Forgot about those, I will address them as soon as I can.
Comment 14 Richard Shaw 2016-01-20 09:40:09 EST
SPEC: https://hobbes1069.fedorapeople.org/freedv.spec
SRPM: https://hobbes1069.fedorapeople.org/freedv-1.1-4.fc22.src.rpm

* Wed Jan 20 2016 Richard Shaw <hobbes1069@gmail.com> - 1.1-4
- Create appdata file.

Got derailed by the holidays and it took a little while to get a properly formatted screenshot from upstream.
Comment 15 Antonio Trande 2016-01-20 10:04:33 EST
appstream-util check is failed.
Add dconf as BuildRequires and Requires package.
Comment 16 Richard Shaw 2016-01-20 11:31:35 EST
(In reply to Antonio Trande from comment #15)
> appstream-util check is failed.
> Add dconf as BuildRequires and Requires package.

Turns out it just didn't like my use of <project_group>. It still shows the same error but then reports "OK" and continues. Interesting that it doesn't have any issue on F22 but does have an issue in rawhide.

I just removed it from the appdata file and reuploaded the spec and SRPM.
Comment 17 Upstream Release Monitoring 2016-01-21 06:01:52 EST
sagitter's scratch build of freedv-1.1-4.fc22.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12633419
Comment 18 Upstream Release Monitoring 2016-01-21 06:12:02 EST
sagitter's scratch build of freedv-1.1-4.fc22.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12633479
Comment 19 Antonio Trande 2016-01-21 06:17:45 EST
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


== Note ==

Still not ready for EPEL.
'About' window shows a text bug.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* LGPL (v2.1)", "*No copyright* GPL (v2.1)", "GPL
     (v2 or later)", "Unknown or generated", "LGPL (v2.1)". 22 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/FedoraReview/1278638-freedv/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/256x256/apps,
     /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/128x128,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/48x48/apps, /usr/share/icons/hicolor/64x64,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/256x256,
     /usr/share/icons/hicolor
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in freedv
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://files.freedv.org/freedv/freedv-1.1.tar.xz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in freedv-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: freedv-1.1-4.fc24.x86_64.rpm
          freedv-debuginfo-1.1-4.fc24.x86_64.rpm
          freedv-1.1-4.fc24.src.rpm
freedv.x86_64: W: name-repeated-in-summary C FreeDV
freedv.x86_64: W: spelling-error %description -l en_US codec -> codex, code, codes
freedv.x86_64: W: no-manual-page-for-binary freedv
freedv.src: W: name-repeated-in-summary C FreeDV
freedv.src: W: spelling-error %description -l en_US codec -> codex, code, codes
freedv.src: W: invalid-url Source99: sox-14.4.1.tar.gz
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: freedv-debuginfo-1.1-4.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
freedv.x86_64: W: name-repeated-in-summary C FreeDV
freedv.x86_64: W: spelling-error %description -l en_US codec -> codex, code, codes
freedv.x86_64: W: no-manual-page-for-binary freedv
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
freedv-debuginfo (rpmlib, GLIBC filtered):

freedv (rpmlib, GLIBC filtered):
    /bin/sh
    libao.so.4()(64bit)
    libao.so.4(LIBAO4_1.1.0)(64bit)
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libasound.so.2(ALSA_0.9.0rc4)(64bit)
    libc.so.6()(64bit)
    libcodec2.so.0.5()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgsm.so.1()(64bit)
    libhamlib.so.2()(64bit)
    libm.so.6()(64bit)
    libportaudio.so.2()(64bit)
    libpthread.so.0()(64bit)
    libsamplerate.so.0()(64bit)
    libsamplerate.so.0(libsamplerate.so.0.0)(64bit)
    libsamplerate.so.0(libsamplerate.so.0.1)(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    libspeexdsp.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libwx_baseu-3.0.so.0()(64bit)
    libwx_baseu-3.0.so.0(WXU_3.0)(64bit)
    libwx_baseu_net-3.0.so.0()(64bit)
    libwx_baseu_net-3.0.so.0(WXU_3.0)(64bit)
    libwx_gtk3u_aui-3.0.so.0()(64bit)
    libwx_gtk3u_aui-3.0.so.0(WXU_3.0)(64bit)
    libwx_gtk3u_core-3.0.so.0()(64bit)
    libwx_gtk3u_core-3.0.so.0(WXU_3.0)(64bit)
    rtld(GNU_HASH)



Provides
--------
freedv-debuginfo:
    freedv-debuginfo
    freedv-debuginfo(x86-64)

freedv:
    appdata()
    appdata(freedv.appdata.xml)
    application()
    application(freedv.desktop)
    bundled(sox)
    freedv
    freedv(x86-64)



Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 1278638
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 20 Richard Shaw 2016-01-21 08:46:40 EST
Thanks for the thorough review and patience!
Comment 21 Gwyn Ciesla 2016-01-21 10:15:34 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/freedv
Comment 22 Fedora Update System 2016-01-21 12:22:54 EST
freedv-1.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a8343a0e9
Comment 23 Fedora Update System 2016-01-21 12:22:54 EST
codec2-0.5-1.el7 freedv-1.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d007a8affa
Comment 24 Fedora Update System 2016-01-21 12:22:56 EST
freedv-1.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a8343a0e9
Comment 25 Fedora Update System 2016-01-21 12:22:57 EST
codec2-0.5-1.el7 freedv-1.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d007a8affa
Comment 26 Fedora Update System 2016-01-21 12:22:58 EST
freedv-1.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a8343a0e9
Comment 27 Fedora Update System 2016-01-21 12:22:59 EST
codec2-0.5-1.el7 freedv-1.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d007a8affa
Comment 28 Fedora Update System 2016-01-21 12:23:00 EST
freedv-1.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a8343a0e9
Comment 29 Fedora Update System 2016-01-21 12:23:01 EST
codec2-0.5-1.el7 freedv-1.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d007a8affa
Comment 30 Fedora Update System 2016-01-21 12:23:02 EST
freedv-1.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a8343a0e9
Comment 31 Fedora Update System 2016-01-21 12:23:03 EST
codec2-0.5-1.el7 freedv-1.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d007a8affa
Comment 32 Fedora Update System 2016-01-21 12:23:08 EST
freedv-1.1-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-86353fa95c
Comment 33 Fedora Update System 2016-01-21 23:54:32 EST
freedv-1.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a8343a0e9
Comment 34 Fedora Update System 2016-01-22 02:55:49 EST
codec2-0.5-1.el7, freedv-1.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d007a8affa
Comment 35 Fedora Update System 2016-01-23 16:28:19 EST
freedv-1.1-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-86353fa95c
Comment 36 Fedora Update System 2016-01-30 22:32:26 EST
codec2-0.5-1.el7 freedv-1.1-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d007a8affa
Comment 37 Fedora Update System 2016-01-31 21:24:34 EST
freedv-1.1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 38 Fedora Update System 2016-02-01 01:28:38 EST
freedv-1.1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 39 Fedora Update System 2016-02-01 11:20:54 EST
codec2-0.5-1.el7, freedv-1.1-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d007a8affa
Comment 40 Fedora Update System 2016-02-16 20:57:45 EST
codec2-0.5-1.el7, freedv-1.1-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.